Skip to main content
POST
/
registrants
/
{registrant_id}
/
session
/
{session_id}
cURL
curl -X POST "https://api.swoogo.com/api/v1/registrants/26361060/session/101" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "success": true
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

registrant_id
integer
required

integer - required - The ID of the registrant you want to use

Example:

1

session_id
integer
required

integer - required - The ID of the session you want to use

Example:

1

Query Parameters

override_capacity_errors
string

boolean - optional - If an item is sold out, an error will be shown and the registrant will not be updated. If this flag is enabled, the data will be updated

Example:

""

send_email
string

boolean - optional - If true then session confirmation emails will be automatically sent

validate_only
string

boolean - optional - If true, then the session won't be added, but checks for capacity and conflicts will be performed

Body

application/x-www-form-urlencoded

The body is of type object.

Response

Add Registrant Session

success
boolean
Example:

true